=== debian/control ===
Source: gcc-xtensa
Section: devel
Priority: optional
Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: Jonathan McDowell <noodles@earth.li>
Build-Depends:
 autoconf2.69,
 autogen,
 binutils-xtensa-lx106,
 bison,
 debhelper-compat (= 13),
 dejagnu,
 flex,
 gawk,
 gcc-13-source,
 gdc,
 gettext,
 libgmp-dev,
 libisl-dev (>= 0.20),
 libmpc-dev,
 libmpfr-dev,
 libtool,
 locales,
 lsb-release,
 m4,
 texinfo,
 xz-utils,
 zlib1g-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gcc.gnu.org/
Vcs-Git: https://salsa.debian.org/electronics-team/toolchains/gcc-xtensa.git
Vcs-Browser: https://salsa.debian.org/electronics-team/toolchains/gcc-xtensa

Package: gcc-xtensa-lx106
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils-xtensa-lx106
Built-Using: ${Built-Using}
Description: GNU Compiler Collection for Xtensa lx106 core
 Bare metal C, C++ and D cross compilers for chips using the Xtensa lx106
 core, such as the Espressif ESP8266 wireless SoCs. This package is
 primarily for those developing for the ESP8266 platform and is not needed
 by normal users or developers.
