## gcc-xtensa 14build1

=== debian/changelog ===
gcc-xtensa (14build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Dec 2025 21:23:28 +0000
